package ejbs;

import java.util.Vector;

/**
 * Bean implementation class for Enterprise Bean: ReadingList
 */
public class ReadingListBean implements javax.ejb.SessionBean {
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext() {
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx) {
		mySessionCtx = ctx;
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() {
	}
	
	/**
	 * Add a resource to the reading list
	 * @param title String
	 */
	public void addResource(String title) {
		readingList.add(title);
	}
	
	/**
	 * Returns a string of the titles in the reading list
	 * @return String
	 */
	public String viewList() {
		String list = "";
		for (int i = 0; i < readingList.size(); i++) {
			list = list + (String)readingList.get(i) + "; \n";
		}
		return list;
	}
	
	/**
	 * Remove a resource from the reading list, by title
	 * @param title String
	 */
	public void removeResource(String title) {
		for (int i = 0; i < readingList.size(); i++) {
			if(title.equals(readingList.get(i)))
				readingList.remove(i);
		}
	}
	
	private Vector readingList = new Vector();
}