package ejbs;

import java.rmi.RemoteException;
/**
 * Remote interface for Enterprise Bean: AddressBook
 */
public interface AddressBook extends javax.ejb.EJBObject {
	
	public void newEntry(String name, String address, String phoneNumber) throws RemoteException;
	
	public void removeEntry(String name, String address, String phoneNumber) throws RemoteException;
	
	public String viewAddressBook() throws RemoteException;
	
	public int findEntry(String name, String address, String phoneNumber) throws RemoteException;
	
	public String findEntry(String field) throws RemoteException;
	
}