package ejbs;
/**
 * Bean implementation class for Enterprise Bean: SimpleCalculator
 */
public class SimpleCalculatorBean implements javax.ejb.SessionBean {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext() {
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx) {
		mySessionCtx = ctx;
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() {
	}
	
	public double getSum (double op1, double op2) {
		return op1 + op2;
	}
	
	public double getDifference (double op1, double op2) {
		return op1 - op2;
	}
	
	public double getProduct (double op1, double op2) {
		return op1 * op2;
	}
	
	public double getQuotient (double op1, double op2) {
		if(op2 == 0) {
			return 0;
		}
		return op1 / op2;
	}	
}